with import <nixpkgs> {};

stdenv.mkDerivation {
  name = "oc311";
  version = "3.11";
  src = fetchurl {
    url = "https://artifacts-openshift-release-3-11.svc.ci.openshift.org/zips/openshift-origin-client-tools-v3.11.0-8aa4c38-492-linux-64bit.tar.gz";
    sha256 = "e8fde584995657e359ddaa5b25e70af2bde4cd494322c712a8cd46bfef00f07f";
  };

  nativeBuildInputs = [
    autoPatchelfHook
  ];

  unpackPhase = ''
    tar xvpzf $src --strip-components=1
  '';

  installPhase = ''
    install -m 755 -D oc $out/bin/oc3
  '';

  meta = with stdenv.lib; {
    homepage = "https://www.odk.io";
    description = "openshift311 client";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
